<script setup>
import AuthenticatedLayout from '@/Layouts/AuthenticatedLayout.vue';
import { Head } from '@inertiajs/vue3';
import {ref} from 'vue';
import InputLabel from '@/Components/InputLabel.vue';
import SelectInput from '@/Components/SelectInput.vue';
import DataTable from 'datatables.net-vue3';
import 'datatables.net-dt/css/jquery.dataTables.css';
import ButtonsHtml5 from 'datatables.net-buttons/js/buttons.html5';
import 'datatables.net-buttons/js/buttons.print';
import 'datatables.net-responsive-dt';
import 'datatables.net-responsive-dt/css/responsive.dataTables.min.css';
import JsZip from 'jszip';
import pdfmake from "pdfmake/build/pdfmake";
import * as pdfFonts from "pdfmake/build/vfs_fonts";
pdfmake.vfs = pdfFonts.pdfMake ? pdfFonts.pdfMake.vfs : pdfmake.vfs;
window.JSZip = JsZip;
DataTable.use(ButtonsHtml5);

const props = defineProps({
    employees:{type:Object},departments:{type:Object}
});

const columns1 = ref([]);
const columns2 = ref([]);
const buttons1 = ref([]);
const buttons2 = ref([]);
const report = ref('1');
const types = ref([{'id':'1','name':''},{'id':'2','name':''}]);

columns1.value= [{data:null,render:function(data,type,row,meta)
    {return (meta.row + 1)}},
    {data:'name'},
    {data:'email'},
    {data:'phone'},
    {data:'department'},
]
columns2.value= [{data:null,render:function(data,type,row,meta)
    {return (meta.row + 1)}},
    {data:'name'}
]
buttons1.value= [
    {
        title:'Employees',extend:'excelHtml5', 
        text:'<i class="fa-solid fa-file-excel"></i> Excel',
        className:'inline-flex items-center px-4 py-2 bg-green-600 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-green-700 focus:bg-green-700 active:bg-green-900 focus:outline-none focus:ring-2 focus:ring-green-500 focus:ring-offset-2 transition ease-in-out duration-150'
    },
    {
        title:'Employees',extend:'pdfHtml5', 
        text:'<i class="fa-solid fa-file-pdf"></i> PDF',
        className:'inline-flex items-center px-4 py-2 bg-red-600 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-red-500 active:bg-red-700 focus:outline-none focus:ring-2 focus:ring-red-500 focus:ring-offset-2 transition ease-in-out duration-150'
    },
    {
        title:'Employees',extend:'print', 
        text:'<i class="fa-solid fa-print"></i> PRINT',
        className:'inline-flex items-center px-4 py-2 bg-gray-800 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-gray-700 focus:bg-gray-700 active:bg-gray-900 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2 transition ease-in-out duration-150'
    },
    {
        title:'Employees',extend:'copy', 
        text:'<i class="fa-solid fa-copy"></i> COPY',
        className:'inline-flex items-center px-4 py-2 bg-gray-200 border border-gray-800 rounded-md font-semibold text-xs uppercase tracking-widest hover:bg-gray-700 focus:bg-gray-700 active:bg-gray-900 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2 transition ease-in-out duration-150'
    }
]

buttons2.value= [
    {
        title:'Departments',extend:'excelHtml5', 
        text:'<i class="fa-solid fa-file-excel"></i> Excel',
        className:'inline-flex items-center px-4 py-2 bg-green-600 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-green-700 focus:bg-green-700 active:bg-green-900 focus:outline-none focus:ring-2 focus:ring-green-500 focus:ring-offset-2 transition ease-in-out duration-150'
    },
    {
        title:'Departments',extend:'pdfHtml5', 
        text:'<i class="fa-solid fa-file-pdf"></i> PDF',
        className:'inline-flex items-center px-4 py-2 bg-red-600 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-red-500 active:bg-red-700 focus:outline-none focus:ring-2 focus:ring-red-500 focus:ring-offset-2 transition ease-in-out duration-150'
    },
    {
        title:'Departments',extend:'print', 
        text:'<i class="fa-solid fa-print"></i> PRINT',
        className:'inline-flex items-center px-4 py-2 bg-gray-800 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-gray-700 focus:bg-gray-700 active:bg-gray-900 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2 transition ease-in-out duration-150'
    },
    {
        title:'Departments',extend:'copy', 
        text:'<i class="fa-solid fa-copy"></i> COPY',
        className:'inline-flex items-center px-4 py-2 bg-gray-200 border border-gray-800 rounded-md font-semibold text-xs uppercase tracking-widest hover:bg-gray-700 focus:bg-gray-700 active:bg-gray-900 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2 transition ease-in-out duration-150'
    }
]

</script>

<template>
    <Head title="Reports" />

    <AuthenticatedLayout>
        <template #header>
            <h2 class="px-9 font-semibold text-xl text-black-800 leading-tight">FORMULACIÓN PRESUPUESTARIA</h2>
        </template>

        <div class="py-18">
          <div class="mx-auto sm:px-6 lg:px-8">
                
            <!---Select input-->
                
            <div class="px-4 py-5 bg-white overflow-hidden shadow-sm sm:rounded-lg">          
                <div class="px-3 py-5 bg-blue-200  shadow-sm sm:rounded-lg">
                    <h2>TIPO DE GASTO:</h2>
                    <h2>Contrataciones y servicios</h2>
                    <input class="sm:rounded-lg" type="checkbox" id="jack" value="Jack" v-model="checkedNames">
                    <br>
                        <label for="john">Activos Reales</label><br>
                    <input class="sm:rounded-lg" type="checkbox" id="john" value="John" v-model="checkedNames">
                    <br>
                    <label for="mike">Materiales y Suministros</label><br>
                    <input class="sm:rounded-lg" type="checkbox" id="mike" value="Mike" v-model="checkedNames">            
                </div>
                <br>

                <!--Multi select-->
                <div class="px-4 py-5 bg-blue-100 overflow-hidden shadow-sm sm:rounded-lg">
                    <InputLabel for="rep" Value="Report:"></InputLabel>
                    <h2 >AÑO FISCAL</h2>
                    <SelectInput id="rep" class="mt-1 block w-3/3"
                    v-model="report" :options="types"></SelectInput>
                </div>

                <div class="px-4 py-5 bg-gray-100 shadow-sm sm:rounded-lg">
                    <InputLabel for="rep" Value="Report:"></InputLabel>
                    <h2>CENTRO GESTOR</h2>
                    <SelectInput id="rep" class="block w-3/4"
                    v-model="report" :options="types"></SelectInput>
                </div>

                <div class="px-4 py-5 bg-blue-100 shadow-sm sm:rounded-lg">
                    <InputLabel for="rep" Value="Report:"></InputLabel>
                    <h2>POSICIÓN PRESUPUESTARIA</h2>
                    <SelectInput id="rep" class="block w-3/4"
                    v-model="report" :options="types"></SelectInput>
                </div>

                <div class="px-4 py-5 bg-gray-100 shadow-sm sm:rounded-lg">
                    <h6>DETALLE DE POSICIÓN PRESUPUESTARIA</h6>
                    <SelectInput id="rep" class="block w-3/4"
                    v-model="report" :options="types"></SelectInput>
                </div>
            </div>
            <br>

            <!-- Exposición de motivos-->
            <br>
                 <div class="px-4 py-5 bg-blue-300  shadow-sm sm:rounded-lg">
                    <h2>EXPOSICIÓN DE MOTIVOS</h2><span></span>
                    
                    <p style="white-space: pre-line;">{{ message }}</p>
                    
                    <textarea class="block w-3/4 sm:rounded-lg" v-model="message" 
                    placeholder="Exposición de motivos Formulación"></textarea><br>
                    
                    <textarea class="block w-3/4 sm:rounded-lg" v-model="message" 
                    placeholder="Exposición de motivos Ing. Industrial"></textarea><br>
                    
                    <textarea class="block w-3/4 align-items-center sm:rounded-lg" v-model="message" 
                    placeholder="Exposición de motivos Planificación"></textarea>
                    
                </div>
           </div>         
        </div>

        <br>

        
    </AuthenticatedLayout>
</template>
